org.apache.ignite.internal.management.api

## Annotation Type EnumDescription

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface EnumDescription

Annotation clarifies enum values in command arguments if required.

### Required Element Summary

Required Elements
`String[]` `descriptions`
`String[]` `names`

### Element Detail

#### names

    public abstract String[] names

Returns:
  Names of enum constants.

#### descriptions

    public abstract String[] descriptions

Returns:
  Description of each enum constant.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023